Problem with OpenWRT upgrade

kloczek
 
Posts: 15
Joined: Sat Jul 16, 2016 7:09 pm

Problem with OpenWRT upgrade

Mon Oct 16, 2017 5:09 am

Code: Select all
root@OpenWrt:/# opkg update
Downloading http://downloads.openwrt.org/chaos_calmer/15.05.1/ramips/mt7628/packages/base/Packages.gz.
Updated list of available packages in /var/opkg-lists/chaos_calmer_base.
Downloading http://downloads.openwrt.org/chaos_calmer/15.05.1/ramips/mt7628/packages/base/Packages.sig.
Signature check passed.
Downloading http://downloads.openwrt.org/chaos_calmer/15.05.1/ramips/mt7628/packages/linkit/Packages.gz.
wget: server returned error: HTTP/1.1 404 Not Found
Downloading http://downloads.openwrt.org/chaos_calmer/15.05.1/ramips/mt7628/packages/linkit/Packages.sig.
wget: server returned error: HTTP/1.1 404 Not Found
Signature check failed.
Remove wrong Signature file.
Downloading http://downloads.openwrt.org/chaos_calmer/15.05.1/ramips/mt7628/packages/luci/Packages.gz.
Updated list of available packages in /var/opkg-lists/chaos_calmer_luci.
Downloading http://downloads.openwrt.org/chaos_calmer/15.05.1/ramips/mt7628/packages/luci/Packages.sig.
Signature check passed.
Downloading http://downloads.openwrt.org/chaos_calmer/15.05.1/ramips/mt7628/packages/packages/Packages.gz.
Updated list of available packages in /var/opkg-lists/chaos_calmer_packages.
Downloading http://downloads.openwrt.org/chaos_calmer/15.05.1/ramips/mt7628/packages/packages/Packages.sig.
Signature check passed.
Collected errors:
 * opkg_download: Failed to download http://downloads.openwrt.org/chaos_calmer/15.05.1/ramips/mt7628/packages/linkit/Packages.gz, wget returned 1.
 * opkg_download: Failed to download http://downloads.openwrt.org/chaos_calmer/15.05.1/ramips/mt7628/packages/linkit/Packages.sig, wget returned 1.


Seems like linkit directory on http://downloads.openwrt.org/chaos_calmer/15.05.1/ramips/mt7628/packages/ is missing.
Anyone knows what what needs to be done to fix this? and/or how to submit this issue?

noblepepper
 
Posts: 240
Joined: Sat Nov 29, 2014 3:22 pm

Re: Problem with OpenWRT upgrade

Tue Oct 17, 2017 11:46 pm

This is a remnant of stealing the proprietary wifi driver from the linkit repo (opensource is an exercise in friendly thievery), I'm pretty sure it is my fault. In any case it causes no ill effects other than the scary messages when you use opkg.

I believe Vonger's latest image eliminates this. Otherwise just delete any lines with linkit in these files:
/etc/opkg/customfeeds.conf
/etc/opkg/distfeeds.conf

I can't remember which or both are on the file system on a running system but delete the lines with linkit in them in what you find.

harvey186
 
Posts: 18
Joined: Wed Dec 28, 2016 4:12 pm

Re: Problem with OpenWRT upgrade

Mon Dec 25, 2017 3:36 pm

Code: Select all
I believe Vonger's latest image eliminates this


where can I find it ??
By the way, I think Vonger's blog is worst for searching error solutions or updates or anything :( That's the reason I'm asking.

noblepepper
 
Posts: 240
Joined: Sat Nov 29, 2014 3:22 pm

Re: Problem with OpenWRT upgrade

Tue Dec 26, 2017 9:29 pm

There is a link on the product page

Return to VoCore2

Who is online

Users browsing this forum: No registered users and 4 guests